package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CityInfo;


/**
*  service接口类
*/
public interface CityInfoService{

    List<CityInfo> getCityInfoList(CityInfo record);

    List<CityInfo> getCityInfoByPage(Page page, CityInfo record);

    CityInfo getCityInfoById(String id);

    CityInfo getCityInfo(CityInfo record);

    boolean createCityInfo(CityInfo record);

    boolean deleteCityInfo(CityInfo record);

    boolean updateCityInfo(CityInfo record);
}

